%token PLUS
%token MINUS
%token <int> INT_LIT
%token EOF

%start <Expr.expr> prog

%%

prog:
  | e = expr; EOF { e }

expr:
  | c = INT_LIT { Expr.IntLit(c) }
  | e1 = expr; PLUS; c2 = INT_LIT { Expr.Plus(e1, Expr.IntLit(c2)) }
  | e1 = expr; MINUS; c2 = INT_LIT { Expr.Minus(e1, Expr.IntLit(c2)) }
  (* ^^^ What expressions look like, "on the wire" *)

(*

e ::= c
    | e + c
    | e - c

*)
